Package edu.msu.cme.rdp.classifier.rrnaclassifier

# Class ClassificationParser

java.lang.Object
edu.msu.cme.rdp.classifier.rrnaclassifier.ClassificationParser

public class ClassificationParser extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClassificationParser(File f, ClassifierFactory classifierFactory)`
`ClassificationParser(InputStream is, ClassifierFactory classifierFactory)`
`ClassificationParser(Reader reader)`
`ClassificationParser(String fileName, ClassifierFactory classifierFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`HierarchyTree`
`getRoot()`
`ClassificationResult`
`next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassificationParser

public ClassificationParser(String fileName, ClassifierFactory classifierFactory) throws FileNotFoundException

Throws:
  `FileNotFoundException`

### ClassificationParser

public ClassificationParser(File f, ClassifierFactory classifierFactory) throws FileNotFoundException

Throws:
  `FileNotFoundException`

### ClassificationParser

public ClassificationParser(InputStream is, ClassifierFactory classifierFactory)

### ClassificationParser

public ClassificationParser(Reader reader)

## Method Details

### close

public void close() throws IOException

Throws:
  `IOException`

### getRoot

public HierarchyTree getRoot()

### next

public ClassificationResult next() throws IOException

Throws:
  `IOException`